Packages - Bug #2821

[clementine] Needs rebuild
2020-06-30 03:49 PM - pavelsayekat

Status: fixed % Done: 0%
Priority: broken

Assignee: bill-auger

Category:

Description

$ clementine
clementine: error while loading shared libraries: libprotobuf.so.22: cannot open shared object fil
e: No such file or directory

# pacman -Qi protobuf | grep Provides
Provides : libprotoc.so=23-64 libprotobuf.so=23-64 libprotobuf-lite.so=23-64

History

#1 - 2020-07-01 12:57 AM - bill-auger
- Priority changed from bug to broken
- Status changed from unconfirmed to confirmed

- Subject changed from [protobuf] Need to rebuild clementine. to [clementine] Needs rebuild

#2 - 2021-04-28 04:28 AM - CommodoreCrunch

This still needs rebuilding against protobuf >= 3.15.6. The problem is the existing PKGBUILD fails to build, presumably due to some updated
dependency that was fixed upstream in Clementine.

In case it helps, I've updated the nonfree-artwork patch to work with the 1.4.0rc1+495+g10bf5dc17 version used in Arch, which builds fine on my end:
http://ix.io/3hJU

And here's the updated PKGBUILD: http://ix.io/3hLs

#3 - 2021-04-28 05:11 AM - bill-auger

- Description updated

sry, this package seems to have been neglected for some time - i just noticed that #2310 from 2 years ago never got closed properly - the maintainer
may have forgotten about it

if you would like to maintain the 'clementine' package, please do - patches sent to the dev list (subject: [PATCH]: ) are likely to get the attention of
more people - you could also use the pagure repo, if that is more convenient

h : re.i libr

#4 - 2021-04-28 06:18 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to in progress

#5 - 2021-04-28 06:49 PM - bill-auger

- Status changed from in progress to fixed

2024-04-19 1/1



http://ix.io/3hJU
http://ix.io/3hLs
https://labs.parabola.nu/issues/2310
https://pagure.io/abslibre/
http://www.tcpdf.org

